## ros-noetic-rqt-joint-trajectory-controller 0.21.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_joint_trajectory_controller)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS)

catkin_python_setup()

# Declare a catkin package
catkin_package()


#############
## Install ##
#############

# Install plugins
install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Intall extra
install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install scripts
catkin_install_python(PROGRAMS
  scripts/rqt_joint_trajectory_controller
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-joint-trajectory-controller (0.21.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.21.0-1buster) buster; urgency=high

  * [rqt_joint_trajectory_controller] Added Timestamp to the outgoing command message
  * Contributors: Bence Magyar, Caedael

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.20.0-1buster) buster; urgency=high

  * Increase spin box to six decimals
  * trivial cleanup & fix for python3.10
    probably relevant for earlier versions of python3 as well.
  * Contributors: Levi Armstrong, v4hn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.19.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.18.1-1buster) buster; urgency=high

  * Fix dependency on rospkg
  * Format package.xml and CMakeLists.txt files + clean deps of rqt_joint_trajectory_controller pkg
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.18.0-1buster) buster; urgency=high

  * Use Python3 explicitly
  * fix shebang line for python3
  * Contributors: Bence Magyar, Mikael Arguedas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.17.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.16.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.16.0-1buster) buster; urgency=high

  * Bump CMake version to prevent CMP0048
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.15.1-1buster) buster; urgency=high

  * Merge pull request #452 <https://github.com/ros-controls/ros_controllers/issues/452> from etsiogas/add-robot-ns-to-gui
    Added robot namespace to gui of rqt_joint_trajectory_controller
  * [rqt joint trajectory controller] Python3 fixes (#458 <https://github.com/ros-controls/ros_controllers/issues/458>)
    - Use explicit relative import (with leading dot)
    - print function with parentheses
  * Contributors: Bence Magyar, Bjar Ne, etsiogas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.15.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.2-1buster) buster; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.0-1buster) buster; urgency=high

  * fix license string
  * Contributors: Patrick Holthaus

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.13.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.13.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.13.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.0-1buster) buster; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.11.2-1buster) buster; urgency=high

  * Changes in import of Qt modules
  * Contributors: Carlos J. Rosales Gallegos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.11.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.11.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.10.0-1buster) buster; urgency=high

  * Adapt to new controller_manager_msgs/ControllerState message definition
  * Add vertical scrollbar to joints list
    - Add vertical scrollbar to joints list that appears only when required,
    i.e., when the plugin size cannot accommodate all controller joints.


=== debian/control ===
Source: ros-noetic-rqt-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_joint_trajectory_controller
Standards-Version: 3.9.2

Package: ros-noetic-rqt-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-control-msgs, ros-noetic-controller-manager-msgs, ros-noetic-python-qt-binding, ros-noetic-qt-gui, ros-noetic-rospy, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-trajectory-msgs
Description: Graphical frontend for interacting with joint_trajectory_controller instances.

## ros-noetic-rqt-joint-trajectory-controller 0.21.2

=== debian/changelog ===
ros-noetic-rqt-joint-trajectory-controller (0.21.2-1focal) focal; urgency=high

  * change to setuptools in accordance with migration guide
  * Contributors: Arne Hitzmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Sep 2023 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.21.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.21.0-1focal) focal; urgency=high

  * [rqt_joint_trajectory_controller] Added Timestamp to the outgoing command message
  * Contributors: Bence Magyar, Caedael

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.20.0-1focal) focal; urgency=high

  * Increase spin box to six decimals
  * trivial cleanup & fix for python3.10
    probably relevant for earlier versions of python3 as well.
  * Contributors: Levi Armstrong, v4hn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.19.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.18.1-1focal) focal; urgency=high

  * Fix dependency on rospkg
  * Format package.xml and CMakeLists.txt files + clean deps of rqt_joint_trajectory_controller pkg
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.18.0-1focal) focal; urgency=high

  * Use Python3 explicitly
  * fix shebang line for python3
  * Contributors: Bence Magyar, Mikael Arguedas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.17.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.16.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.16.0-1focal) focal; urgency=high

  * Bump CMake version to prevent CMP0048
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.15.1-1focal) focal; urgency=high

  * Merge pull request #452 <https://github.com/ros-controls/ros_controllers/issues/452> from etsiogas/add-robot-ns-to-gui
    Added robot namespace to gui of rqt_joint_trajectory_controller
  * [rqt joint trajectory controller] Python3 fixes (#458 <https://github.com/ros-controls/ros_controllers/issues/458>)
    - Use explicit relative import (with leading dot)
    - print function with parentheses
  * Contributors: Bence Magyar, Bjar Ne, etsiogas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.15.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.2-1focal) focal; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.14.0-1focal) focal; urgency=high

  * fix license string
  * Contributors: Patrick Holthaus

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.13.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.13.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.13.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.12.0-1focal) focal; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.11.2-1focal) focal; urgency=high

  * Changes in import of Qt modules
  * Contributors: Carlos J. Rosales Gallegos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.11.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.11.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-rqt-joint-trajectory-controller (0.10.0-1focal) focal; urgency=high

  * Adapt to new controller_manager_msgs/ControllerState message definition


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
+Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
 Homepage: http://wiki.ros.org/rqt_joint_trajectory_controller
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-joint-trajectory-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
